
----CREAR FUNCIONALIDADES

--permisos a las carpetas
DECLARE @RC int
DECLARE @p_uid varchar(500)
DECLARE @p_eid varchar(50)
DECLARE @p_id_usuario_modifico int
DECLARE @p_id_usuario_creo int
DECLARE @p_funcionalidad varchar(300)
DECLARE @p_funcionalidad_codigo varchar(100)
DECLARE @p_urlImagen varchar(300)
DECLARE @p_urlFormulario varchar(300)
DECLARE @p_targetUrl varchar(100)
DECLARE @p_url varchar(8000)
DECLARE @p_toolTip varchar(8000)
DECLARE @p_esMenu bit
DECLARE @p_nombreControl varchar(100)
DECLARE @p_nombreComando varchar(100)
DECLARE @p_orden int
DECLARE @p_id_funcionalidad int
DECLARE @p_id_tipoFuncionalidad int

-- TODO: Set parameter values here.
SET @p_uid = (select [uid] from seg_usuario where id=1)
SET @p_eid ='01'
SET @p_id_usuario_modifico=0
SET @p_id_usuario_creo=0
SET @p_funcionalidad ='Alquiler'
SET @p_funcionalidad_codigo ='CAT_45' --todos los cat_% se utiliza para identificar cuales son los funcionalidades para el reportes
--son los reportes de la básica.
SET @p_urlImagen =''
SET @p_urlFormulario =''
SET @p_targetUrl =''
SET @p_url =null
SET @p_toolTip =null
SET @p_esMenu = 0
SET @p_nombreControl =null
SET @p_nombreComando =null
SET @p_orden =0
SET @p_id_funcionalidad= (select top 1 id from gui_funcionalidad where funcionalidad like '%reporte%' and active=1 and funcionalidad_codigo='CAT_15')
SET @p_id_tipoFuncionalidad =7


EXECUTE @RC = [dbo].[ins_gui_funcionalidad] 
    @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo,@p_funcionalidad,@p_funcionalidad_codigo,@p_urlImagen
   ,@p_urlFormulario,@p_targetUrl,@p_url,@p_toolTip  ,@p_esMenu,@p_nombreControl,@p_nombreComando,@p_orden,
	@p_id_funcionalidad,@p_id_tipoFuncionalidad


SET @p_funcionalidad ='Alquiler'
SET @p_funcionalidad_codigo ='CAT_46'
SET @p_id_funcionalidad= (select top 1 id from gui_funcionalidad where funcionalidad like '%indicador%' and active=1 and funcionalidad_codigo='CAT_32')


EXECUTE @RC = [dbo].[ins_gui_funcionalidad] 
    @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo,@p_funcionalidad,@p_funcionalidad_codigo,@p_urlImagen
   ,@p_urlFormulario,@p_targetUrl,@p_url,@p_toolTip  ,@p_esMenu,@p_nombreControl,@p_nombreComando,@p_orden,
	@p_id_funcionalidad,@p_id_tipoFuncionalidad



SET @p_funcionalidad ='Alquiler'
SET @p_funcionalidad_codigo ='CAT_47'
SET @p_id_funcionalidad= (select top 1 id from gui_funcionalidad where funcionalidad like '%consulta%' and active=1 and funcionalidad_codigo='CAT_42')


EXECUTE @RC = [dbo].[ins_gui_funcionalidad] 
    @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo,@p_funcionalidad,@p_funcionalidad_codigo,@p_urlImagen
   ,@p_urlFormulario,@p_targetUrl,@p_url,@p_toolTip  ,@p_esMenu,@p_nombreControl,@p_nombreComando,@p_orden,
	@p_id_funcionalidad,@p_id_tipoFuncionalidad


--permisos a cada reporte
SET @p_id_funcionalidad= (select top 1 id from gui_funcionalidad where funcionalidad_codigo='CAT_13')

if not exists(select id from gui_funcionalidad where funcionalidad like 'Alquiler' and active=1 and id_funcionalidad = @p_id_funcionalidad)
begin

SET @p_funcionalidad ='Alquiler'
SET @p_funcionalidad_codigo ='RPC_22'

EXECUTE @RC = [dbo].[ins_gui_funcionalidad] 
    @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo,@p_funcionalidad,@p_funcionalidad_codigo,@p_urlImagen
   ,@p_urlFormulario,@p_targetUrl,@p_url,@p_toolTip  ,@p_esMenu,@p_nombreControl,@p_nombreComando,@p_orden,
	@p_id_funcionalidad,@p_id_tipoFuncionalidad

end



SET @p_id_funcionalidad= (select top 1 id from gui_funcionalidad where funcionalidad_codigo='CAT_45')

if not exists(select id from gui_funcionalidad where funcionalidad like 'Listado Equipos Alquiler' and active=1 and id_funcionalidad = @p_id_funcionalidad)
begin

SET @p_funcionalidad ='Listado Equipos Alquiler'
SET @p_funcionalidad_codigo ='RPC_'

EXECUTE @RC = [dbo].[ins_gui_funcionalidad] 
    @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo,@p_funcionalidad,@p_funcionalidad_codigo,@p_urlImagen
   ,@p_urlFormulario,@p_targetUrl,@p_url,@p_toolTip  ,@p_esMenu,@p_nombreControl,@p_nombreComando,@p_orden,
	@p_id_funcionalidad,@p_id_tipoFuncionalidad

end



SET @p_id_funcionalidad= (select top 1 id from gui_funcionalidad where funcionalidad_codigo='CAT_45')

if not exists(select id from gui_funcionalidad where funcionalidad like 'Cobros Alquiler' and active=1 and id_funcionalidad = @p_id_funcionalidad)
begin

SET @p_funcionalidad ='Cobros Alquiler'
SET @p_funcionalidad_codigo ='RPC_'

EXECUTE @RC = [dbo].[ins_gui_funcionalidad] 
    @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo,@p_funcionalidad,@p_funcionalidad_codigo,@p_urlImagen
   ,@p_urlFormulario,@p_targetUrl,@p_url,@p_toolTip  ,@p_esMenu,@p_nombreControl,@p_nombreComando,@p_orden,
	@p_id_funcionalidad,@p_id_tipoFuncionalidad

end


SET @p_id_funcionalidad= (select top 1 id from gui_funcionalidad where funcionalidad_codigo='CAT_45')

if not exists(select id from gui_funcionalidad where funcionalidad like 'Detalle Cobros Alquiler' and active=1 and id_funcionalidad = @p_id_funcionalidad)
begin

SET @p_funcionalidad ='Detalle Cobros Alquiler'
SET @p_funcionalidad_codigo ='RPC_'

EXECUTE @RC = [dbo].[ins_gui_funcionalidad] 
    @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo,@p_funcionalidad,@p_funcionalidad_codigo,@p_urlImagen
   ,@p_urlFormulario,@p_targetUrl,@p_url,@p_toolTip  ,@p_esMenu,@p_nombreControl,@p_nombreComando,@p_orden,
	@p_id_funcionalidad,@p_id_tipoFuncionalidad

end


SET @p_id_funcionalidad= (select top 1 id from gui_funcionalidad where funcionalidad_codigo='CAT_45')

if not exists(select id from gui_funcionalidad where funcionalidad like 'Disponibilidad MTTO' and active=1 and id_funcionalidad = @p_id_funcionalidad)
begin

SET @p_funcionalidad ='Disponibilidad MTTO'
SET @p_funcionalidad_codigo ='RPC_'

EXECUTE @RC = [dbo].[ins_gui_funcionalidad] 
    @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo,@p_funcionalidad,@p_funcionalidad_codigo,@p_urlImagen
   ,@p_urlFormulario,@p_targetUrl,@p_url,@p_toolTip  ,@p_esMenu,@p_nombreControl,@p_nombreComando,@p_orden,
	@p_id_funcionalidad,@p_id_tipoFuncionalidad

end



SET @p_id_funcionalidad= (select top 1 id from gui_funcionalidad where funcionalidad_codigo='CAT_46')

if not exists(select id from gui_funcionalidad where funcionalidad like 'Nivel Liquidaciones por Estado' and active=1 and id_funcionalidad = @p_id_funcionalidad)
begin

SET @p_funcionalidad ='Nivel Liquidaciones por Estado'
SET @p_funcionalidad_codigo ='RPC_'

EXECUTE @RC = [dbo].[ins_gui_funcionalidad] 
    @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo,@p_funcionalidad,@p_funcionalidad_codigo,@p_urlImagen
   ,@p_urlFormulario,@p_targetUrl,@p_url,@p_toolTip  ,@p_esMenu,@p_nombreControl,@p_nombreComando,@p_orden,
	@p_id_funcionalidad,@p_id_tipoFuncionalidad

end







----------CONSULTA---------------
SET @p_id_funcionalidad= (select top 1 id from gui_funcionalidad where funcionalidad_codigo='CAT_47')

if not exists(select id from gui_funcionalidad where funcionalidad like 'Proyeccion Pagos Alquiler' and active=1 and id_funcionalidad = @p_id_funcionalidad)
begin

SET @p_funcionalidad ='Proyeccion Pagos Alquiler'
SET @p_funcionalidad_codigo ='RPC_'

EXECUTE @RC = [dbo].[ins_gui_funcionalidad] 
    @p_uid,@p_eid,@p_id_usuario_modifico,@p_id_usuario_creo,@p_funcionalidad,@p_funcionalidad_codigo,@p_urlImagen
   ,@p_urlFormulario,@p_targetUrl,@p_url,@p_toolTip  ,@p_esMenu,@p_nombreControl,@p_nombreComando,@p_orden,
	@p_id_funcionalidad,@p_id_tipoFuncionalidad

end




GO

